For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resellers

List Account Types

get

Return a list of all Accounts Types.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

An object which contains response metadata information and a data array of Fields.

application/json
get/api/v1/customers/types
GET /api/v1/customers/types HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 3
  },
  "data": [
    {
      "value": "customer",
      "label": "Customer",
      "description": "Standard account type.  (default)"
    },
    {
      "value": "reseller",
      "label": "Reseller",
      "description": "Sub account will also be considered a reseller, in which they can have their own sub accounts."
    },
    {
      "value": "staff",
      "label": "Staff/Internal",
      "description": "Denotes that the account is not a customer, but rather in use for testing or sales, etc."
    }
  ]
}

List Accounts

get

Return a list of all Accounts for the reseller.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Account response object

application/json
get/api/v1/customers
GET /api/v1/customers HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "billing": {
        "data_retention": 1,
        "rollup_retention": 1,
        "trial": true
      },
      "ingest_ip": "text",
      "ingest_port": 1,
      "reseller": {
        "children": 1,
        "is_parent": true,
        "node": "text",
        "parent": "text"
      },
      "shortname": "text"
    }
  ]
}

Create Account

post

Create an Account (sub customer) the supplied object. Do NOT submit an ID. IDs are auto generated and immutable.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
shortnamestringRequired

Shortname of the organization. 5-16 chars max. RFC 3986 characters only.

Example: netography
organizationstringRequired

Name of the organization

Example: Netography, Inc.
typestringRequired

Account Type. See Account Types

Example: customer
trialbooleanOptional

Whether or not this is a trial account

Example: false
retentioninteger · enumRequired

Data retention

Example: 90Possible values:
rollupRetentioninteger · enumRequired

Rollup Data Retention. Should be >= retention.

Example: 180Possible values:
fpsintegerOptional

Optional. Contractual Flows per Second for the account

Example: 10000
usernamestringRequired

Email address of the 1st admin user

Example: no-reply@netography.com
given_namestringRequired

First or Given name of the 1st admin user

Example: Skippy
family_namestringRequired

Last or Family name of the 1st admin user

Example: Longbottom
Responses
201

Account response object

application/json
post/api/v1/customer
POST /api/v1/customer HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 227

{
  "shortname": "netography",
  "organization": "Netography, Inc.",
  "type": "customer",
  "trial": false,
  "retention": 90,
  "rollupRetention": 180,
  "fps": 10000,
  "username": "no-reply@netography.com",
  "given_name": "Skippy",
  "family_name": "Longbottom"
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "billing": {
      "data_retention": 1,
      "rollup_retention": 1,
      "trial": true
    },
    "ingest_ip": "text",
    "ingest_port": 1,
    "reseller": {
      "children": 1,
      "is_parent": true,
      "node": "text",
      "parent": "text"
    },
    "shortname": "text"
  }
}

Get Account

get

Fetches a specific Account from the shortname supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
shortnamestringRequired

String identifier of the customer

Responses
200

Account response object

application/json
get/api/v1/customer/{shortname}
GET /api/v1/customer/{shortname} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "billing": {
      "data_retention": 1,
      "rollup_retention": 1,
      "trial": true
    },
    "ingest_ip": "text",
    "ingest_port": 1,
    "reseller": {
      "children": 1,
      "is_parent": true,
      "node": "text",
      "parent": "text"
    },
    "shortname": "text"
  }
}

Update Account

put

Update an Account given the provided object. This does not do a diff. You must send the complete object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
shortnamestringRequired

The shortname of the Account to be updated

Body
organizationstringRequired

Name of the organization

Example: Netography, Inc.
typestringRequired

Account Type. See Account Types

Example: customer
trialbooleanOptional

Whether or not this is a trial account

Example: false
retentioninteger · enumRequired

Data retention

Example: 90Possible values:
rollupRetentioninteger · enumRequired

Rollup Data Retention. Should be >= retention.

Example: 180Possible values:
fpsintegerOptional

Optional. Contractual Flows per Second for the account

Example: 10000
Responses
200

Account response object

application/json
put/api/v1/customer/{shortname}
PUT /api/v1/customer/{shortname} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116

{
  "organization": "Netography, Inc.",
  "type": "customer",
  "trial": false,
  "retention": 90,
  "rollupRetention": 180,
  "fps": 10000
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "billing": {
      "data_retention": 1,
      "rollup_retention": 1,
      "trial": true
    },
    "ingest_ip": "text",
    "ingest_port": 1,
    "reseller": {
      "children": 1,
      "is_parent": true,
      "node": "text",
      "parent": "text"
    },
    "shortname": "text"
  }
}

Delete Account

delete

Deletes the Account.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
shortnamestringRequired

The shortname of the User to be retrieved

Responses
204

An empty array

No content

delete/api/v1/customer/{shortname}
DELETE /api/v1/customer/{shortname} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated